# rgb_pixel.hpp File Reference

Go to the source code of this file.

## Classes

struct | png::basic_rgb_pixel< T >
| RGB pixel type. More...
struct | png::pixel_traits< basic_rgb_pixel< T > >
| Pixel traits specialization for basic_rgb_pixel. More...

## Namespaces

namespace | png

## Typedefs

typedef basic_rgb_pixel< byte > | png::rgb_pixel
typedef basic_rgb_pixel< uint_16 > | png::rgb_pixel_16